%define rel 5

Name:    qbs
Version: 1.2.2
Release: %mkrel %{rel}
Summary: Qt Build System
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: %name-%version.src.tar.gz
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia
Patch0: qbs-1.2.2-QDataStream.patch

%description
Qt Build System.

%files
%_bindir/*
%_datadir/qbs
%_libdir/qbs/plugins/*.so

#--------------------------------------------------------------------

%define qbscore_major 1
%define libqbscore %mklibname qbscore %{qbscore_major}

%package -n %libqbscore
Summary:      Qt Build System
Group:        System/Libraries


%description -n %libqbscore
Qt Build System.

%files -n %libqbscore
%_libdir/libqbscore.so.%{qbscore_major}*

#--------------------------------------------------------------------

%define qbsqtprofilesetup_major 1
%define libqbsqtprofilesetup %mklibname qbsqtprofilesetup %{qbsqtprofilesetup_major}

%package -n %libqbsqtprofilesetup
Summary:      Qt Build System
Group:        System/Libraries


%description -n %libqbsqtprofilesetup
Qt Build System.

%files -n %libqbsqtprofilesetup
%_libdir/libqbsqtprofilesetup.so.%{qbsqtprofilesetup_major}*

#--------------------------------------------------------------------
%define libqbs_d %mklibname qbs -d

%package -n %{libqbs_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/KDE and Qt
Requires: %libqbscore = %version-%release
Requires: %libqbsqtprofilesetup = %version-%release
Provides: libqbs-devel = %version
Provides: %name-devel = %version

%description -n %{libqbs_d}
Devel files needed to build apps based on %name.

%files -n %{libqbs_d}
%_includedir/qbs
%_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5 QBS_INSTALL_PREFIX=%_prefix QBS_LIB_INSTALL_DIR=%_libdir QBS_PLUGINS_BUILD_DIR=%buildroot%_libdir qbs.pro 

%make

%install
%make_install INSTALL_ROOT=$RPM_BUILD_ROOT

%if %_arch == "x86_64"
rm -frv %buildroot%_prefix/lib/qbs
%endif


%changelog
* Fri Mar 11 2016 daviddavid <daviddavid> 1.2.2-5.mga6
+ Revision: 989347
- add patch to fix build against Qt5.5

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 742271
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 688464
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 neoclust <neoclust> 1.2.2-2.mga5
+ Revision: 666550
- Fix file removal
- imported package qbs

